package org.openecu.comm;

import org.openecu.param.ECUParameter;
import org.openecu.param.ParameterException;
import org.openecu.util.UnsignedByte;

import java.util.concurrent.TimeUnit;

/**
 * User: tjennings
 * Date: Jun 2, 2005
 * Time: 7:55:29 PM
 */
public class TestMonitor extends BaseMonitor {

    public TestMonitor() throws ParameterException {
        super();
    }

    public void run() {
        byte b = 0x00;
        while(_doRun) {
            for(ECUParameter p : _params) {
                p.setResult(new UnsignedByte( b++));
            }
            try {
                TimeUnit.MILLISECONDS.sleep(10);
            } catch(InterruptedException ie) {
                ie.printStackTrace();
            }
            markTime();
        }
    }
}
