package org.openecu.param.special;

import org.openecu.Globals;
import org.openecu.param.ECUParameter;
import org.openecu.param.Parameter;

/**
 * User: tjennings
 * Date: Jun 5, 2005
 * Time: 4:12:34 PM
 */
public class TimeParameter extends Parameter {
    long _init;
    long _mark;

    public TimeParameter() {
        _mark = 0;
        _init = 0;
    }

    public String getName() {
        return Globals.TIME_PARAM;
    }

    public void marktime() {
        if(_init == 0) _init = System.currentTimeMillis();

        _mark = System.currentTimeMillis() - _init;
        this.setChanged();
        this.notifyObservers();
    }

    public float getResult() {
        float m = (float) _mark / 1000f;
        return m;
    }
}
