package org.openecu.boot;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.IOException;
import java.util.concurrent.TimeUnit;

/**
 * User: tjennings
 * Date: Jun 5, 2005
 * Time: 5:28:11 PM
 */
public class KeyListener implements Runnable {
        private Strapper _s;

        protected KeyListener(Strapper s) {
            _s = s;
            new Thread(this).start();
        }

        public void run() {
            try {
                InputStreamReader keyboard = new InputStreamReader(System.in);
                char[] c = new char[1];

                while(true) {
                    if(!keyboard.ready()) TimeUnit.MILLISECONDS.sleep(100);
                    keyboard.read(c, 0, 1);
                    if(c[0] == 'Q')  {
                        break;
                    }
                }
            } catch (IOException e) {
                e.printStackTrace();
            } catch (InterruptedException e) {
                e.printStackTrace();
            } finally {
                _s.stop();
            }
        }
    }
